{% extends "base.html" %}
{% block style %}
{% load static %}
<link rel="stylesheet" type="text/css" href="{% static 'movies/dist/css/main.css' %}">
{% endblock %}

{% block title %}Liste des films{% endblock %}

{% block content %}
  <h1>Liste de tous les films :</h1>
  {% if movie_list %}
    <div class="movies">
      {% for movie in movie_list %}
      <div class="card">
        {% if movie.poster %}
        <img class="card-img" src="{{ movie.poster.url }}" alt="{{ movie.title }}">
        {% else %}
        <img class="card-img" src="{{ movie.poster_url }}" alt="{{ movie.title }}">
        {% endif %}
        <div class="card-meta">
          <div class="card-body">
            <div class="card-title">{{ movie.title }}</div>
            <p class="card-text excerpt-text">
              {{ movie.summary }}
            </p>
          </div>
          <div class="card-actor">
            <h2>Les acteurs :</h2>
            {% for actor in actor_list %}
              {% if actor.movie == movie %}
                <span class="card-badge">{{ actor.actor }}</span>
              {% endif %}
            {% endfor %}
          </div>
          <div class="card-genre">
            <h2>Genres :</h2>
            {% for genre in genre_list %}
              {% if genre.movie == movie %}
                <span class="card-badge">{{ genre.genre }}</span>
              {% endif %}
            {% endfor %}
          </div>
          {% if perms.movies %}
          <div class="card-buttons">
            <a href="{% url 'movies:edit' movie.id %}">Modifier le film</a>
            <a href="{% url 'movies:delete' movie.id %}">Supprimer le film</a>
          </div>
          {% endif %}
        </div>
      </div>
      {% endfor %}
    </div>
  {% else %}
    <p>Il n'y a pas de films pour le moment !</p>
  {% endif %}
{% endblock %}
